<?php include "conexao.php";

?>

<?php 


        if(isset($_POST['submitFunc'])){

            $nome = $_POST['nome'];
            $endereco = $_POST['endereco'];
            $nuit = $_POST['nuit'];
            $inss = $_POST['inss'];
            $nacionalidade = $_POST['nacionalidade'];
            $bi = $_POST['bi'];
            $estado_civil = $_POST['estado_civil'];
            $provincia = $_POST['provincia'];
            $data_emissao = $_POST['data_emissao'];
            $local_emissao = $_POST['local_emissao'];
            $data_nasc = $_POST['data_nasc'];
            $contacto = $_POST['contacto'];
            $contacto_2 = $_POST['contacto_2'];
            $nome_parente = $_POST['nome_parente'];
            $salario = $_POST['salario'];
            $data_contracto = $_POST['data_contracto'];

            
            $cv = $_FILES['cv']['name'];
            $cv_tmp = $_FILES['cv']['tmp_name'];
            move_uploaded_file($cv_tmp,"img/$cv");
            
            
            
            $foto = $_FILES['foto']['name'];
            $foto_tmp = $_FILES['foto']['tmp_name'];
            move_uploaded_file($foto_tmp,"img/$foto");

             

           $insert = mysqli_query($con,"INSERT INTO funcionarios (nome,endereco,nuit,inss,nacionalidade,bi,estado_civil,provincia,data_emissao,
           local_emissao,data_nasc,contacto,contacto_2,nome_parente,salario,cv,foto,data_contracto,status)
           VALUES('$nome','$endereco','$nuit','$inss','$nacionalidade','$bi','$estado_civil',
           '$provincia','$data_emissao','$local_emissao','$data_nasc','$contacto','$contacto_2',
           '$nome_parente','$salario','$cv','$foto','$data_contracto','Activo')");

if($insert){
    $_SESSION['status'] = "$nome cadastrado com sucesso";
    $_SESSION['status_code'] = "success";
    echo "<script>window.open('../functionarios.php','_self')</script>";
        
        
    }else{
    $_SESSION['status'] = "Ocorreu um erro";
    $_SESSION['status_code'] = "error";
    echo "<script>window.open('../functionarios.php','_self')</script>";
    }
        }




        if(isset($_POST['submitDisciplinar'])){

            $nome = $_POST['nome'];
            $motivo = $_POST['motivo'];
            $data_processo = $_POST['data_processo'];
            $data_prazo = $_POST['data_prazo'];

            $insert = mysqli_query($con,"INSERT INTO processos_disciplinares(nome,motivo,data_processo,data_prazo,status,resposta)
            VALUES('$nome','$motivo','$data_processo','$data_prazo','pendente','')");
            
             
            if($insert){
                $_SESSION['status'] = "Cadastrado com sucesso";
                $_SESSION['status_code'] = "success";
                echo "<script>window.open('../disciplinares.php','_self')</script>";
                    
                    
                }else{
                $_SESSION['status'] = "Ocorreu um erro";
                $_SESSION['status_code'] = "error";
                echo "<script>window.open('../disciplinares.php','_self')</script>";
                }
        }



	
	if(isset($_GET['aprove']) && !empty($_GET['aprove'])){
	    
	    	$id_update = $_GET['aprove'];
	    	
	    	$credito = mysqli_query($con,"SELECT * FROM creditos WHERE id='$id_update'");
	    	$dados = mysqli_fetch_assoc($credito);
	    	
	    	$conta_origem_id = $dados['conta'];
	    	$id_cliente = $dados['id_cliente'];
	    	$valor = $dados['valor'];
	    	
	    $buscar_conta = mysqli_query($con,"SELECT * FROM contas WHERE id='$conta_origem_id'");
		$nice_query = mysqli_fetch_assoc($buscar_conta);
		
		$saldo_actual_conta = $nice_query['saldo'];
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
		$query = mysqli_query($con,"SELECT * FROM clientes WHERE id_cliente='$id_cliente'");
		$result = mysqli_fetch_assoc($query);
		$cliente = $result['nome_cliente'];
		$contacto = $result['cell1'];
		$join = "00258";
		
		$contactoCliente = $join.$contacto;
		
	$smsBody = "Caro $cliente ! Vimos por este meio informar que o seu credito no valor de $valor foi aprovado. Queira por favor fazer-se presente aos nossos escritorios 
	para efeitos de assinatura de contracto. FNS NORTH CRÉDITO, EI.";

		
	$user = $_SESSION['nome'];
	$today = date('Y-m-d');
	$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));	
		

	  $actualiza_conta2 = mysqli_query($con,"UPDATE contas SET saldo='$novo_taco_actual' WHERE id='$conta_origem_id'");
	$actualiza_credito = mysqli_query($con,"UPDATE creditos SET status='pendente' WHERE id='$id_update'");	

   $reportEntry = mysqli_query($con,"INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
   VALUES('Credito concedito a $cliente','$valor','0','$novo_taco_actual','$conta_origem_id','$today','$hora','$user')");
	if($reportEntry){
	    
	    	
			$curl = curl_init();
            curl_setopt_array($curl, array(
              CURLOPT_URL => 'https://www.cloud.smschef.com/api/send/sms',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS => array('secret' => '8e4cf26179ecf84f5721dcba56d3ba273620a5cc','mode' => 'devices','device' => '00000000-0000-0000-4d2f-512a26f5c127','phone' => $contactoCliente,'sim' => '1','priority' => '1','message' => $smsBody),
              CURLOPT_HTTPHEADER => array('Cookie: PHPSESSID=qk4r32jip858icei8e9nosog90'),
            )); 
            
            $response = curl_exec($curl);
            curl_close($curl);
	    
	    
	    $_SESSION['status'] = "Credito concedido com sucesso";
        $_SESSION['status_code'] = "success";
		echo "<script>window.open('../creditos.php','_self')</script>";
    
    }else{
	   		echo "<script>alert('Ocorreu um erro')</script>";

	}
}	




	if(isset($_POST['submit'])){
		
		$nome = $_POST['nome'];
		$email = $_POST['email'];
		$senha = $_POST['senha'];
		$salt = "euamoprogramacao";
		$senha_crypt = crypt($senha,$salt);
		$nivel = $_POST['nivel'];
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"../img/$foto");
		
		
		$consulta = "SELECT * FROM usuarios WHERE nome='$nome' || email='$email'";
		$link = mysqli_query($con,$consulta);
		$contar = mysqli_num_rows($link);

      if($contar == 1){
		  
		  $_SESSION['status'] = "Este usuario ja encontra se cadastrado";
		  $_SESSION['status_code'] = 'warning';
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
	  
	  }else{
		  
		  
		  $insere = "INSERT INTO usuarios(nome,email,senha,nivel,foto,status)
		            VALUES('$nome','$email','$senha_crypt','$nivel','$foto','Activo')";
			$query = mysqli_query($con,$insere);
			
			if($query){
				
				 $_SESSION['status'] = "Usuario Cadastrado com sucesso";
		  $_SESSION['status_code'] = 'success';
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
		
			
			}else{
			    
			  $_SESSION['status'] = "Ocorreu um erro tente novamente";
		  $_SESSION['status_code'] = 'warning';
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
		
			}
	  }
	 
	}
	
	
	   if(isset($_POST['subUp'])){
        
        $id = $_POST['idUp'];
        $nome = $_POST['nome'];
		$email = $_POST['email'];
		$senha = $_POST['senha'];
		$salt = "euamoprogramacao";
		$senha_crypt = crypt($senha,$salt);
		$nivel = $_POST['nivel'];
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"img/$foto");
		
		$updateUser = mysqli_query($con,"UPDATE usuarios SET nome='$nome',email='$email',senha='$senha_crypt',nivel='$nivel',foto='$foto' WHERE id_user='$id'");
			if($updateUser){
				
					 $_SESSION['status'] = "Usuario actualizado com sucesso";
		            $_SESSION['status_code'] = 'success';
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
			
			}else{
				
			 $_SESSION['status'] = "Ocorreu um erro";
		            $_SESSION['status_code'] = "error";
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
				
			}
		
    }
    
    
    
      if(isset($_GET['id_delete']) && !empty($_GET['id_delete'])){
        
         $id = $_GET['id_delete'];
        
        $del = mysqli_query($con,"DELETE FROM usuarios WHERE id_user ='$id'");
        if($del){
            
            
					 $_SESSION['status'] = "Usuario apagado com sucesso";
		            $_SESSION['status_code'] = 'success';
		  echo "<script>window.open('../cadastrar_user.php','_self')</script>";
            
          
        }else{
            $_SESSION['status'] = "Ocorreu um erro";
		            $_SESSION['status_code'] = "error";
            echo "<script>window.open('../cadastrar_user.php','_self')</script>";
        }
    }
    
    
         if(isset($_GET['reject']) && !empty($_GET['reject'])){
        
         $id_reject = $_GET['reject'];
        
        $deleteLoan = mysqli_query($con,"UPDATE creditos SET status='Rejeitado' WHERE id ='$id_reject'");
        if($deleteLoan){
            
            
					 $_SESSION['status'] = "Credito rejeitado";
		            $_SESSION['status_code'] = 'error';
		  echo "<script>window.open('../creditos.php','_self')</script>";
            
          
        }else{
            $_SESSION['status'] = "Ocorreu um erro";
		    $_SESSION['status_code'] = "warning";
            echo "<script>window.open('../creditos.php','_self')</script>";
        }
    } 
    
    
    if(isset($_POST['submitFerias'])){
        
        $data_inicio = $_POST['data_inicio'];
        $data_fim = $_POST['data_fim'];
        $nome = $_POST['nome'];
        
        $limite = 30;
        
             $now = date('Y-m-d');
           $date1=date_create($data_inicio);
            $date2=date_create($data_fim);
           $diff=date_diff($date1,$date2);
           
                          
              $numeroDias =  $diff->format("%a");
            $user = $_SESSION['nome'];
            
            $ferias = mysqli_query($con,"SELECT SUM(numero_dias) as soma FROM ferias WHERE nome='$nome' AND ano='$ano'");
            while($total = mysqli_fetch_assoc($ferias)){
                $totalFerias = $total['soma'];
            }
            
            
            $acumuladoFerias = $numeroDias + $totalFerias;
            
            if($acumuladoFerias > $limite){
                
                  $_SESSION['status'] = "Recusado numero de dias superior ao limite anual";
		    $_SESSION['status_code'] = "error";
            echo "<script>window.open('../ferias.php','_self')</script>";
            }elseif($numeroDias > $limite){
                  
            $_SESSION['status'] = "Recusado numero de dias superior ao limite anual";
		    $_SESSION['status_code'] = "error";
            echo "<script>window.open('../ferias.php','_self')</script>";
            }else{
                
                $dataLink = mysqli_query($con,"INSERT INTO ferias(nome,data_inicio,data_fim,numero_dias,ano,data,hora,usuario)VALUES
                ('$nome','$data_inicio','$data_fim','$numeroDias','$ano','$data','$hora','$user')");
                		 
                 $_SESSION['status'] = "Ferias submetidas para $numeroDias dias";
		            $_SESSION['status_code'] = 'success';
            echo "<script>window.open('../ferias.php','_self')</script>";
                	 
            
               
            }
        
    }
    

    
    
 ?>